Bug 5971 - Filenames with spaces are truncated by uudecode
Filenames with spaces are truncated by uudecode
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: sharutils (Show other bugs)
5.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
:
: 5972 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-14 21:54 EDT by aldennis
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-21 11:55:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description aldennis 1999-10-14 21:54:30 EDT
uuencode file "file with spaces" | uudecode
results in uudecode not creating the file "file with spaces"
but instead creating (overwriting in this example) "file".

I'll send my patch as soon as this annoying Bugzilla thing
gives me a Bug ID.
Comment 1 Bill Nottingham 1999-10-15 11:36:59 EDT
*** Bug 5972 has been marked as a duplicate of this bug. ***

uuencode file "file with spaces" | uudecode
results in uudecode not creating the file "file with spaces"
but instead creating (overwriting in this example) "file".

I'll send my patch as soon as this annoying Bugzilla thing
gives me a Bug ID.
Comment 2 Preston Brown 1999-12-21 11:55:59 EST
fixed in a forthcoming errata release (v. 4.2.1).

Note You need to log in before you can comment on or make changes to this bug.